%define up_name		freerdp2

%define winpr_major	2
%define uwac_major	0
%define major		2
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

%define rc_ver		1
%define rc_name		rc2
%if %{rc_ver}
%define release		%mkrel -c %{rc_name} %{rel}
%define tarballver	%{version}-%{rc_name}
%define tarballdir	%{version}-%{rc_name}
%else
%define release		%mkrel %{rel}
%define tarballver	%{version}
%define tarballdir	v%{version}
%endif

%define rel		1

Name:		freerdp
Version:	2.0.0
Release:	%{release}
Summary:	A free remote desktop protocol client
License:	Apache License
Group:		Networking/Remote access
Url:		http://www.freerdp.com/
Source0:	https://github.com/FreeRDP/FreeRDP/archive/%{tarballdir}/FreeRDP-%{tarballver}.tar.xz
BuildRequires: cmake
BuildRequires: docbook-style-xsl
BuildRequires: xmlto
BuildRequires: libcups2-devel
BuildRequires: libffmpeg-devel
BuildRequires: libglib2.0-devel
BuildRequires: libgsm-devel
BuildRequires: libgstreamer1.0-devel
BuildRequires: libgstreamer-plugins-base1.0-devel
BuildRequires: libjpeg-devel
BuildRequires: libopenssl-devel
BuildRequires: libpam-devel
BuildRequires: libpulseaudio-devel
BuildRequires: libwayland-devel
BuildRequires: libx11-devel
BuildRequires: libxcursor-devel
BuildRequires: libxdamage-devel
BuildRequires: libxext-devel
BuildRequires: libxfixes-devel
BuildRequires: libxi-devel
BuildRequires: libxinerama-devel
BuildRequires: libxkbcommon-devel
BuildRequires: libxkbfile-devel
BuildRequires: libxrandr2-devel
BuildRequires: libxrender-devel
BuildRequires: libxtst-devel
BuildRequires: libxv-devel

%description
FreeRDP is a fork of the rdesktop project.

#----------------------------------------------------

%package -n	%{libname}
Summary:	Main library for %{name}
Group:		System/Libraries
Obsoletes:	libfreerdp1
Conflicts:  remmina < 1.2.30

%description -n	%{libname}
Shared libraries for %{name}.

#----------------------------------------------------

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Development files and headers for %{name}.

#----------------------------------------------------

%prep
%setup -qn FreeRDP-%{tarballver}

%build
%cmake \
    -DWITH_CUPS=ON \
    -DWITH_PULSE=ON \
    -DWITH_X11=ON \
    -DWITH_XCURSOR=ON \
    -DWITH_XEXT=ON \
    -DWITH_XINERAMA=ON \
    -DWITH_XKBFILE=ON \
    -DWITH_XV=ON \
    -DWITH_GSM=ON \
    -DWITH_JPEG=ON \
    -DWITH_WAYLAND=ON \
    -DWITH_PCSC=ON \
    -DWITH_ZLIB=ON \
    -DWITH_SERVER=ON \
    -DWITH_FFMPEG=ON \
    -DWITH_ALSA=OFF \
    -DWITH_CUNIT=OFF \
    -DWITH_DIRECTFB=OFF \
%ifarch x86_64
    -DWITH_SSE2=ON \
%else
    -DWITH_SSE2=OFF \
%endif
%ifarch armv7hl
    -DARM_FP_ABI=hard \
    -DWITH_NEON=OFF \
%endif
%ifarch armv7hnl
    -DARM_FP_ABI=hard \
    -DWITH_NEON=ON \
%endif
%ifarch armv5tl armv5tel armv6l armv7l
    -DARM_FP_ABI=soft \
    -DWITH_NEON=OFF \
%endif
    -DCMAKE_INSTALL_LIBDIR:PATH=%{_lib}

%make_build

%install
%make_install -C build

# we don't want these
find %{buildroot} -name '*.la' -delete
find %{buildroot} -name '*.a' -delete

%files
%doc ChangeLog README LICENSE
%{_bindir}/*
#%%{_libdir}/%%{name}/
%{_mandir}/man1/xfreerdp.1.*
%{_mandir}/man1/freerdp-shadow-cli.1.*
%{_mandir}/man1/winpr-hash.1.*
%{_mandir}/man1/winpr-makecert.1.*
%{_mandir}/man1/wlfreerdp.1.*
%{_mandir}/man7/wlog.7.*

%files -n %{libname}
%{_libdir}/lib*%{name}*.so.%{major}*
%{_libdir}/libwinpr*.so.%{winpr_major}*
%{_libdir}/libuwac*.so.%{uwac_major}*

%files -n %{develname}
%{_libdir}/*.so
%{_includedir}/%{up_name}/
%{_includedir}/winpr*/
%{_includedir}/uwac*/
%{_libdir}/pkgconfig/%{name}*.pc
%{_libdir}/pkgconfig/winpr*.pc
%{_libdir}/pkgconfig/uwac*.pc
%{_libdir}/cmake/FreeRDP*/
%{_libdir}/cmake/WinPR*/
%{_libdir}/cmake/uwac*/


%changelog
* Thu Nov 08 2018 adrianomorselli <adrianomorselli> 2.0.0-0.rc2.1uplos2018
- update for new remmina
